<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
	  xmlns:sql="http://java.sun.com/jsp/jstl/sql"
	  xmlns:c="http://java.sun.com/jsp/jstl/core"
	  version="2.0">
    <jsp:directive.page contentType="application/xhtml+xml"/>
    <jsp:output doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"
		doctype-root-element="html"
		omit-xml-declaration="false"/>

    <html xmlns="http://www.w3.org/1999/xhtml">
	<head>
	    <title>SQL značky</title>
	</head>
	<body>
	    <h1>SQL značky</h1>


	    <!-- nastavíme výchozí datový zdroj -->
	    <sql:setDataSource dataSource="jdbc/nekurak"/>

	    <!-- Jednoduchý dotaz -->
	    <pre>SELECT * FROM podnik;</pre>
	    <sql:query var="podniky">SELECT * FROM podnik;</sql:query>
	    <ul>
		<c:forEach items="${podniky.rowsByIndex}" var="p">
		    <li><c:out value="${p[1]}"/></li>
		</c:forEach>
	    </ul>

	    <!-- Parametrizovaný dotaz -->
	    <pre>SELECT * FROM podnik WHERE nazev = ?;</pre>
	    <sql:query var="podniky" sql="SELECT * FROM podnik WHERE nazev = ?;">
		<sql:param value="Na Kovárně"/>
	    </sql:query>
	    <ul>
		<c:forEach items="${podniky.rowsByIndex}" var="p">
		    <li><c:out value="${p[1]}"/></li>
		</c:forEach>
	    </ul>


	</body>
    </html>

</jsp:root>
